nixp.ru v3.0

27 мая 2017,
суббота,
18:38:30 MSK

DevOps с компанией «Флант»
anonymous написал 25 января 2008 года в 07:05 (424 просмотра) Ведет себя неопределенно; открыл 1814 темы в форуме, оставил 5575 комментариев на сайте.

скачал программу Nicotine (типа торрента для поиска музыки в сети), запускаю — пишет:

Can not find required PyGTK. The current search path is

['/tmp/nicotine-1.0.8', '/usr/lib/python25.zip', '/usr/lib/python2.5', '/usr/lib/python2.5/plat-linux2', '/usr/lib/python2.5/lib-tk', '/usr/lib/python2.5/lib-dynload', '/usr/lib/python2.5/site-packages']

ОК, установил PyGTK (pygtk-2.10.4-i486-1mg.tgz, самая программа требует версию >1.99), запускаю Nicotine — вылазит то же самое сообщение Can not find required PyGTK…

хотя все перечисленные пути существуют.

подскажите, плз, как решить эту проблему?

дистрибутив Slackware 12.

metal

Сам питон то у тебя установлен?

anonymous

да, установлен.

metal

ls -dl /usr/lib/py*

что показывает?

metal

Проверь установлен ли pygobject

anonymous

все, спасибо, разобрался. вот какие пакеты надо было установить:

dbus-python-0.81.1-i486-1dg.tgz

nicotine-1.2.8-i486-1dg.tgz

pycairo-1.4.0-i486-1dg.tgz

pygobject-2.13.1-i486-1dg.tgz

pygtk-2.10.4-i486-1dg.tgz